Debian Bug report logs - #678652
rgrep and grep -r suddenly decide to ignore symlinks to files

version graph

Package: grep; Maintainer for grep is Anibal Monsalve Salazar <anibal@debian.org>; Source for grep is src:grep.

Reported by: Sam Hocevar <sam@hocevar.net>

Date: Sat, 23 Jun 2012 13:45:01 UTC

Severity: important

Found in version grep/2.12-2

Fixed in version grep/2.14-1

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#678652; Package grep. (Sat, 23 Jun 2012 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@hocevar.net>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Sat, 23 Jun 2012 13:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@hocevar.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rgrep and grep -r suddenly decide to ignore symlinks to files
Date: Sat, 23 Jun 2012 15:35:32 +0200
Package: grep
Version: 2.12-2
Severity: important

Apparently grep -r and rgrep no longer follow symlinks whereas grep -R
still does:

% echo foo > file1 ; ln -s file1 file2
% grep -r foo .
./file1:foo
% grep -R foo .
./file2:foo
./file1:foo
%

This change of behaviour is not documented in the manpage, which still
claims that -r and -R do the same thing:

 -R, -r, --recursive
        Read all  files  under  each  directory,  recursively;  this  is
        equivalent to the -d recurse option.

This change breaks existing scripts which rely on "grep -r" reporting
about symbolic links to files, too.

Regardless of the merits of the change, it also breaks compatibility
with BSD grep. I don't think we can accept that.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.3.0-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grep depends on:
ii  dpkg          1.16.4.2
ii  install-info  4.13a.dfsg.1-10
ii  libc6         2.13-33

grep recommends no packages.

Versions of packages grep suggests:
ii  libpcre3  1:8.30-5

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#678652; Package grep. (Thu, 26 Jul 2012 11:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christopher Schramm <debian@shakaweb.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 26 Jul 2012 11:15:08 GMT) Full text and rfc822 format available.


Message #10 received at 678652@bugs.debian.org (full text, mbox):

From: Christopher Schramm <debian@shakaweb.org>
To: 678652@bugs.debian.org
Date: Thu, 26 Jul 2012 12:37:20 +0200
It's an upstream change, documented in grep-2.12's NEWS:

> ** Changes in behavior
>
>   The -r (--recursive) option now follows only command-line symlinks.
>   Also, by default -r now reads a device only if it is named on the command
>   line; this can be overridden with --devices.  -R acts as before, so
>   use -R if you prefer the old behavior of following all symlinks and
>   defaulting to reading all devices.

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=c6e3ea61d9f08aa0128a0eb13d31a2fbad376f99

This change is definitely a problem, as you say, but I think Debian 
going it's own way makes it even worse.

It's best to just update the man page.



Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#678652; Package grep. (Sun, 29 Jul 2012 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christopher Schramm <debian@shakaweb.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sun, 29 Jul 2012 08:21:03 GMT) Full text and rfc822 format available.


Message #15 received at 678652@bugs.debian.org (full text, mbox):

From: Christopher Schramm <debian@shakaweb.org>
To: 678652@bugs.debian.org
Date: Sun, 29 Jul 2012 10:19:21 +0200
The man page has now been updated upstream.

http://lists.gnu.org/archive/html/grep-commit/2012-07/msg00044.html



Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. (Thu, 08 Nov 2012 02:51:03 GMT) Full text and rfc822 format available.

Notification sent to Sam Hocevar <sam@hocevar.net>:
Bug acknowledged by developer. (Thu, 08 Nov 2012 02:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 678652-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 678652-close@bugs.debian.org
Subject: Bug#678652: fixed in grep 2.14-1
Date: Thu, 08 Nov 2012 02:47:33 +0000
Source: grep
Source-Version: 2.14-1

We believe that the bug you reported is fixed in the latest version of
grep, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678652@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated grep package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 08 Nov 2012 13:06:00 +1100
Source: grep
Binary: grep
Architecture: source amd64
Version: 2.14-1
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 grep       - GNU grep, egrep and fgrep
Closes: 678652
Changes: 
 grep (2.14-1) unstable; urgency=low
 .
   * [fb48cde] Imported Upstream version 2.14
     Merged upstream:
       90-672240-exclude.patch
     Update man page
       Closes: #678652
   * Standards Version is 3.9.4
Checksums-Sha1: 
 449f52d847c085acb3943129cf44eee954377bc0 1902 grep_2.14-1.dsc
 eac33507808608503308b5f04b905c4d158fca82 1596007 grep_2.14.orig.tar.bz2
 b27189b079a40a55acdc5354354085130e72374b 12210 grep_2.14-1.debian.tar.bz2
 42d32c5462d16d38ce631c2bd7b4d60053e73273 472642 grep_2.14-1_amd64.deb
Checksums-Sha256: 
 23b54c709d4e0a0794c6677a5837b6b188d5a8a61764b706c6f9dd810167ae23 1902 grep_2.14-1.dsc
 53f8d2ba2e61744da0b899c85b46bbc23e49b5babf83bff3e5ce9516456f8408 1596007 grep_2.14.orig.tar.bz2
 1e2a36ef47a6a32bdcf8e73d336faddd9fc3cd7db22dd7e59386f07d3db21890 12210 grep_2.14-1.debian.tar.bz2
 69701214b8257d1d10b199a3665ae6bcb21d712d59abceba7e4cfda84b06431f 472642 grep_2.14-1_amd64.deb
Files: 
 0f041d9f5150cb675e355dea0eaa51ec 1902 utils required grep_2.14-1.dsc
 3c41f0cd5d341aae8e0d0ab1564eeecb 1596007 utils required grep_2.14.orig.tar.bz2
 fc277524b78179e0f7100e8f86576933 12210 utils required grep_2.14-1.debian.tar.bz2
 a369992d7348b6098b54d36d5a1713e2 472642 utils required grep_2.14-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQmxurAAoJEHxWrP6UeJfYdP0P/0akEKy3dg7QfZp5pjqvjtCK
iK4WkCEUB6q8PyVmmNW8kn0qljWrjL6TUsrBwzsxVczdD2L2dj2MX4yVV27FlRrc
LYBJRf3GE2wDxEUaQtatV7hKPkT99Od/Z4tS/I0sr6rjrP/SD8CMSS5srV5dXm/s
9NA8X7LX+j7NjaLkR6XozgJWDIxFJRr1Ajx8mRNqUrpD5DHffZvjVd1+Pux/IBpd
Fzkk9lqEibrNI9xLgQfsCV4nZm5VWcJmWeJhbu8mwvbCSE9Jjzr3rLjM1Qq3rvzg
0Pt8HMxqIPIHwhSGPMaF4UKvzJm9dohJWTJi5M9rku1XLEFLOoq1rw22EV/3pij5
v70rW/tX58UviwhJPHB8Z5EzDvbJpziN6egDpAs3NRVrS0ABzfKcqIaL8l0G/VEm
uAsrl53ApwrHkGqhvp4PYWoLph3ZOZIWnxvUZfg61mAr6upt7Dcwt7W+I+vnV9J7
IdTz413lAYQu6KDn4aMmZYH47HxcmCqzywZncqC4j9Xx4vrD2nfeGpkBYLMoKksk
i1jOJPrEEqp8ZMrOwSeXiUDeUU/+JWZke7+uth5PWdfoHo7lbxuMXGyv9fdFM0Uw
BHod+QZZS83bEaYmXwzclkhc69DJP7zafhMoYG5lo/XfXEJiHjoGlk7OCeS/DQOK
ivZ1ZFOazgKAb4EaWlLp
=MsiU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 08:32:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 15:53:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.